import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

// 社区
class CommunityConfig {
    static LIST: string = "community/list"
    static ADD: string = "community"
    static DELETE: string = "community"
    static EDIT: string = "community"
}
class CommunityStore extends BaseStore<TagDataType> {
    constructor() {
        super(CommunityConfig)
        makeObservable(this, {})
    }
}

export const communityStore = new CommunityStore();
